// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/order/model_pushup_notification.proto

package order

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type ObjectType int32

const (
	ObjectType_OT_UNKNOWN ObjectType = 0
	// Tender/auction
	ObjectType_OT_MULTI_ORDER ObjectType = 1
	ObjectType_OT_ORDER       ObjectType = 2
	ObjectType_OT_OFFER       ObjectType = 3
	ObjectType_OT_MULTI_DEAL  ObjectType = 4
	ObjectType_OT_DEAL        ObjectType = 5
	// Pricing
	ObjectType_OT_PRICING        ObjectType = 6
	ObjectType_OT_FAST_DEAL      ObjectType = 7
	ObjectType_OT_FAST_DEAL_ITEM ObjectType = 8
)

// Enum value maps for ObjectType.
var (
	ObjectType_name = map[int32]string{
		0: "OT_UNKNOWN",
		1: "OT_MULTI_ORDER",
		2: "OT_ORDER",
		3: "OT_OFFER",
		4: "OT_MULTI_DEAL",
		5: "OT_DEAL",
		6: "OT_PRICING",
		7: "OT_FAST_DEAL",
		8: "OT_FAST_DEAL_ITEM",
	}
	ObjectType_value = map[string]int32{
		"OT_UNKNOWN":        0,
		"OT_MULTI_ORDER":    1,
		"OT_ORDER":          2,
		"OT_OFFER":          3,
		"OT_MULTI_DEAL":     4,
		"OT_DEAL":           5,
		"OT_PRICING":        6,
		"OT_FAST_DEAL":      7,
		"OT_FAST_DEAL_ITEM": 8,
	}
)

func (x ObjectType) Enum() *ObjectType {
	p := new(ObjectType)
	*p = x
	return p
}

func (x ObjectType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (ObjectType) Descriptor() protoreflect.EnumDescriptor {
	return file_v1_order_model_pushup_notification_proto_enumTypes[0].Descriptor()
}

func (ObjectType) Type() protoreflect.EnumType {
	return &file_v1_order_model_pushup_notification_proto_enumTypes[0]
}

func (x ObjectType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use ObjectType.Descriptor instead.
func (ObjectType) EnumDescriptor() ([]byte, []int) {
	return file_v1_order_model_pushup_notification_proto_rawDescGZIP(), []int{0}
}

type EventType int32

const (
	EventType_ET_UNKNOWN EventType = 0
	EventType_ET_CREATED EventType = 1
	EventType_ET_UPDATED EventType = 2
	EventType_ET_DELETED EventType = 3
)

// Enum value maps for EventType.
var (
	EventType_name = map[int32]string{
		0: "ET_UNKNOWN",
		1: "ET_CREATED",
		2: "ET_UPDATED",
		3: "ET_DELETED",
	}
	EventType_value = map[string]int32{
		"ET_UNKNOWN": 0,
		"ET_CREATED": 1,
		"ET_UPDATED": 2,
		"ET_DELETED": 3,
	}
)

func (x EventType) Enum() *EventType {
	p := new(EventType)
	*p = x
	return p
}

func (x EventType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (EventType) Descriptor() protoreflect.EnumDescriptor {
	return file_v1_order_model_pushup_notification_proto_enumTypes[1].Descriptor()
}

func (EventType) Type() protoreflect.EnumType {
	return &file_v1_order_model_pushup_notification_proto_enumTypes[1]
}

func (x EventType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use EventType.Descriptor instead.
func (EventType) EnumDescriptor() ([]byte, []int) {
	return file_v1_order_model_pushup_notification_proto_rawDescGZIP(), []int{1}
}

type SendTokenRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Token string `protobuf:"bytes,1,opt,name=token,proto3" json:"token,omitempty"`
}

func (x *SendTokenRequest) Reset() {
	*x = SendTokenRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_pushup_notification_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SendTokenRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SendTokenRequest) ProtoMessage() {}

func (x *SendTokenRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_pushup_notification_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SendTokenRequest.ProtoReflect.Descriptor instead.
func (*SendTokenRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_model_pushup_notification_proto_rawDescGZIP(), []int{0}
}

func (x *SendTokenRequest) GetToken() string {
	if x != nil {
		return x.Token
	}
	return ""
}

type SendTokenResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *SendTokenResponse) Reset() {
	*x = SendTokenResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_pushup_notification_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SendTokenResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SendTokenResponse) ProtoMessage() {}

func (x *SendTokenResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_pushup_notification_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SendTokenResponse.ProtoReflect.Descriptor instead.
func (*SendTokenResponse) Descriptor() ([]byte, []int) {
	return file_v1_order_model_pushup_notification_proto_rawDescGZIP(), []int{1}
}

type RemoveTokenRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Token string `protobuf:"bytes,1,opt,name=token,proto3" json:"token,omitempty"`
}

func (x *RemoveTokenRequest) Reset() {
	*x = RemoveTokenRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_pushup_notification_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RemoveTokenRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RemoveTokenRequest) ProtoMessage() {}

func (x *RemoveTokenRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_pushup_notification_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RemoveTokenRequest.ProtoReflect.Descriptor instead.
func (*RemoveTokenRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_model_pushup_notification_proto_rawDescGZIP(), []int{2}
}

func (x *RemoveTokenRequest) GetToken() string {
	if x != nil {
		return x.Token
	}
	return ""
}

type RemoveTokenResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *RemoveTokenResponse) Reset() {
	*x = RemoveTokenResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_pushup_notification_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RemoveTokenResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RemoveTokenResponse) ProtoMessage() {}

func (x *RemoveTokenResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_pushup_notification_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RemoveTokenResponse.ProtoReflect.Descriptor instead.
func (*RemoveTokenResponse) Descriptor() ([]byte, []int) {
	return file_v1_order_model_pushup_notification_proto_rawDescGZIP(), []int{3}
}

var File_v1_order_model_pushup_notification_proto protoreflect.FileDescriptor

var file_v1_order_model_pushup_notification_proto_rawDesc = []byte{
	0x0a, 0x28, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c,
	0x5f, 0x70, 0x75, 0x73, 0x68, 0x75, 0x70, 0x5f, 0x6e, 0x6f, 0x74, 0x69, 0x66, 0x69, 0x63, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x12, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x22, 0x28,
	0x0a, 0x10, 0x53, 0x65, 0x6e, 0x64, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x12, 0x14, 0x0a, 0x05, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x05, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x22, 0x13, 0x0a, 0x11, 0x53, 0x65, 0x6e, 0x64,
	0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x2a, 0x0a,
	0x12, 0x52, 0x65, 0x6d, 0x6f, 0x76, 0x65, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x12, 0x14, 0x0a, 0x05, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x05, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x22, 0x15, 0x0a, 0x13, 0x52, 0x65, 0x6d,
	0x6f, 0x76, 0x65, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x2a, 0xa5, 0x01, 0x0a, 0x0a, 0x4f, 0x62, 0x6a, 0x65, 0x63, 0x74, 0x54, 0x79, 0x70, 0x65, 0x12,
	0x0e, 0x0a, 0x0a, 0x4f, 0x54, 0x5f, 0x55, 0x4e, 0x4b, 0x4e, 0x4f, 0x57, 0x4e, 0x10, 0x00, 0x12,
	0x12, 0x0a, 0x0e, 0x4f, 0x54, 0x5f, 0x4d, 0x55, 0x4c, 0x54, 0x49, 0x5f, 0x4f, 0x52, 0x44, 0x45,
	0x52, 0x10, 0x01, 0x12, 0x0c, 0x0a, 0x08, 0x4f, 0x54, 0x5f, 0x4f, 0x52, 0x44, 0x45, 0x52, 0x10,
	0x02, 0x12, 0x0c, 0x0a, 0x08, 0x4f, 0x54, 0x5f, 0x4f, 0x46, 0x46, 0x45, 0x52, 0x10, 0x03, 0x12,
	0x11, 0x0a, 0x0d, 0x4f, 0x54, 0x5f, 0x4d, 0x55, 0x4c, 0x54, 0x49, 0x5f, 0x44, 0x45, 0x41, 0x4c,
	0x10, 0x04, 0x12, 0x0b, 0x0a, 0x07, 0x4f, 0x54, 0x5f, 0x44, 0x45, 0x41, 0x4c, 0x10, 0x05, 0x12,
	0x0e, 0x0a, 0x0a, 0x4f, 0x54, 0x5f, 0x50, 0x52, 0x49, 0x43, 0x49, 0x4e, 0x47, 0x10, 0x06, 0x12,
	0x10, 0x0a, 0x0c, 0x4f, 0x54, 0x5f, 0x46, 0x41, 0x53, 0x54, 0x5f, 0x44, 0x45, 0x41, 0x4c, 0x10,
	0x07, 0x12, 0x15, 0x0a, 0x11, 0x4f, 0x54, 0x5f, 0x46, 0x41, 0x53, 0x54, 0x5f, 0x44, 0x45, 0x41,
	0x4c, 0x5f, 0x49, 0x54, 0x45, 0x4d, 0x10, 0x08, 0x2a, 0x4b, 0x0a, 0x09, 0x45, 0x76, 0x65, 0x6e,
	0x74, 0x54, 0x79, 0x70, 0x65, 0x12, 0x0e, 0x0a, 0x0a, 0x45, 0x54, 0x5f, 0x55, 0x4e, 0x4b, 0x4e,
	0x4f, 0x57, 0x4e, 0x10, 0x00, 0x12, 0x0e, 0x0a, 0x0a, 0x45, 0x54, 0x5f, 0x43, 0x52, 0x45, 0x41,
	0x54, 0x45, 0x44, 0x10, 0x01, 0x12, 0x0e, 0x0a, 0x0a, 0x45, 0x54, 0x5f, 0x55, 0x50, 0x44, 0x41,
	0x54, 0x45, 0x44, 0x10, 0x02, 0x12, 0x0e, 0x0a, 0x0a, 0x45, 0x54, 0x5f, 0x44, 0x45, 0x4c, 0x45,
	0x54, 0x45, 0x44, 0x10, 0x03, 0x42, 0x4b, 0x0a, 0x15, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x61, 0x70, 0x69, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x50, 0x01,
	0x5a, 0x2d, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x66, 0x63, 0x70,
	0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2f, 0x61, 0x70, 0x69, 0x73, 0x2f, 0x67, 0x65, 0x6e,
	0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0xba,
	0x02, 0x00, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_v1_order_model_pushup_notification_proto_rawDescOnce sync.Once
	file_v1_order_model_pushup_notification_proto_rawDescData = file_v1_order_model_pushup_notification_proto_rawDesc
)

func file_v1_order_model_pushup_notification_proto_rawDescGZIP() []byte {
	file_v1_order_model_pushup_notification_proto_rawDescOnce.Do(func() {
		file_v1_order_model_pushup_notification_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_order_model_pushup_notification_proto_rawDescData)
	})
	return file_v1_order_model_pushup_notification_proto_rawDescData
}

var file_v1_order_model_pushup_notification_proto_enumTypes = make([]protoimpl.EnumInfo, 2)
var file_v1_order_model_pushup_notification_proto_msgTypes = make([]protoimpl.MessageInfo, 4)
var file_v1_order_model_pushup_notification_proto_goTypes = []interface{}{
	(ObjectType)(0),             // 0: fcp.order.v1.order.ObjectType
	(EventType)(0),              // 1: fcp.order.v1.order.EventType
	(*SendTokenRequest)(nil),    // 2: fcp.order.v1.order.SendTokenRequest
	(*SendTokenResponse)(nil),   // 3: fcp.order.v1.order.SendTokenResponse
	(*RemoveTokenRequest)(nil),  // 4: fcp.order.v1.order.RemoveTokenRequest
	(*RemoveTokenResponse)(nil), // 5: fcp.order.v1.order.RemoveTokenResponse
}
var file_v1_order_model_pushup_notification_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_v1_order_model_pushup_notification_proto_init() }
func file_v1_order_model_pushup_notification_proto_init() {
	if File_v1_order_model_pushup_notification_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_v1_order_model_pushup_notification_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SendTokenRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_pushup_notification_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SendTokenResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_pushup_notification_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RemoveTokenRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_pushup_notification_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RemoveTokenResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_order_model_pushup_notification_proto_rawDesc,
			NumEnums:      2,
			NumMessages:   4,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_v1_order_model_pushup_notification_proto_goTypes,
		DependencyIndexes: file_v1_order_model_pushup_notification_proto_depIdxs,
		EnumInfos:         file_v1_order_model_pushup_notification_proto_enumTypes,
		MessageInfos:      file_v1_order_model_pushup_notification_proto_msgTypes,
	}.Build()
	File_v1_order_model_pushup_notification_proto = out.File
	file_v1_order_model_pushup_notification_proto_rawDesc = nil
	file_v1_order_model_pushup_notification_proto_goTypes = nil
	file_v1_order_model_pushup_notification_proto_depIdxs = nil
}
